%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libregf
Version:	20201007
Release:	1%{?dist}
Summary:	Library to access the Windows NT Registry File (REGF) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libregf/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool gcc

%description
libregf is a library to access the Windows NT Registry File (REGF) format

%package devel
Summary: Header files and libraries for developing applications for libregf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libregf.

%package tools
Summary: Several tools for reading Windows NT Registry Files (REGF)
Group: Applications/System
Requires: %{name} = %{version}-%{release}  fuse-libs 
BuildRequires:  fuse-devel 

%description tools
Several tools for reading Windows NT Registry Files (REGF)

%package python2
Summary: Python bindings for libregf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libregf

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libregf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} 
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libregf
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif

make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/regfinfo
%attr(755,root,root) %{_bindir}/regfexport
%attr(755,root,root) %{_bindir}/regfmount
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Wed Oct  7 2020 Lawrence R. Rogers <lrr@cert.org> 20201007-1
* Release 20201007-1
	Version 20201007

* Fri Oct  2 2020 Lawrence R. Rogers <lrr@cert.org> 20201002-1
* Release 20201002-1
	Version 20201002

* Wed Aug  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200805-1
* Release 20200429-1
	Version 20200805

* Wed Apr 29 2020 Lawrence R. Rogers <lrr@cert.org> 20200429-1
* Release 20200429-1
	Version 20200429

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Sat Nov  2 2019 Lawrence R. Rogers <lrr@cert.org> 20191102-1
* Release 20191102-1
	Version 20191102-1.

* Tue Oct 29 2019 Lawrence R. Rogers <lrr@cert.org> 20191029-1
* Release 20191029-1
	Version 20191029-1.

* Thu Aug  8 2019 Lawrence R. Rogers <lrr@cert.org> 20190808-1
* Release 20190808-1
	Version 20190808-1.

* Mon Aug  5 2019 Lawrence R. Rogers <lrr@cert.org> 20190805-1
* Release 20190805-1
	Version 20190805-1.

* Fri Aug  2 2019 Lawrence R. Rogers <lrr@cert.org> 20190802-1
* Release 20190802-1
	Version 20190802-1.

* Sun Jul 14 2019 Lawrence R. Rogers <lrr@cert.org> 20190714-1
* Release 20190714-1
	Version 20190714-1.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190303-3
* Release 20190303-3
	Version 20190303-3: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190303-2
* Release 20190303-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Sun Mar  3 2019 Lawrence R. Rogers <lrr@cert.org> 20190303-1
* Release 20190303-1
	Version 20190303.

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181231-3
* Release 20181231-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181231-2
* Release 20181231-2
        Version as of 20181231
	-python packages renamed to -python2

* Mon Dec 31 2018 Lawrence R. Rogers <lrr@cert.org> 20181231-1
* Release 20181231-1
	Version 20181231.

* Thu Nov 29 2018 Lawrence R. Rogers <lrr@cert.org> 20181129-1
* Release 20181129-1
	Version 20181129.

* Tue Nov 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181127-1
* Release 20181127-1
	Version 20181127.

* Mon Jan 30 2017 Lawrence R. Rogers <lrr@cert.org> 20170130-1
* Release 20170130-1
	Version 20170130.

* Sun Apr 24 2016 Lawrence R. Rogers <lrr@cert.org> 20160424-1
* Release 20160424-1
	20160126
	* worked on tests
	* applied updates

	20160120
	* Code clean up

	20160116
	* Code clean up

	20160115
	* Code clean up

	20160109
	* fixes for rpmbuild

* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support

	20160106
	* worked on Python 3 support

* Wed Dec 23 2015 Lawrence R. Rogers <lrr@cert.org> 20151223-1
* Release 20151223-1
	20151223
	* worked on format support
	* changed libregf_value_get_value_type to require a 32-bit value type
	* worked for transaction log support

	20151222
	* applied updates

	20151205
	* worked on Python bindings

	20151203
	* worked on handling corrupt integer values

	20150909
	* updated dependencies
	* enlarged pyregf error string buffer

	20150823
	* worked on setup.py

* Sat Jul  4 2015 Lawrence R. Rogers <lrr@cert.org> 20150704-1
* Release 20150704-1
	20150704
	* worked on handling corrupt hive bins

	20150701
	* Bug fixes

	20150411
	* worked on Python-bindings

	20150409
	* worked on empty hive bins data corruption scenario handling

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150315-2
* Release 20150315-2
	Libuna GCC-5 Patch

* Sun Mar 15 2015 Lawrence R. Rogers <lrr@cert.org> 20150315-1
* Release 20150315-1
	20150315
	* bug fix in _get_sub_key_by_path for single character sub key paths

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141222
	* worked on Python 3 support
	* worked on tests

	20141130
	* code clean up

	20141119
	* code clean up
	* removed libregf_file_get_version

* Thu Oct 30 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141030-1
	20141030
	* changes for deployment

	20141026
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20140929
	* removed README.macosx
	* changes for project site move

	20141009
	* updated dependencies and corresponding changes

	20141004
	* update Python-bindings tests

* Fri Sep  5 2014 Lawrence R. Rogers <lrr@cert.org> 20140905-1
* Release 20140905-1
	20140905
	* updated libfwsi version check

	20140831
	* bug fix in Python-bindings

	20140827
	* code clean

* Sun Aug 03 2014 Lawrence R. Rogers <lrr@cert.org> 20140803-1
* Release 20140803-1
	20140803
	* worked on regfmount

	20140801
	* bug fix in Python-bindings
	* worked on regfmount
	  - moved values to sub directory to prevent value and key name clashes
	  - added class name support

	20140729
	* updated dependencies

	20140427
	* fix for dealing with size mismatch between value and block list size
	* improved string size corruption handling

	20140323
	* worked on Python bindings

	20140321
	* worked on Python bindings
	* worked on setup.py

	20140304
	* worked on Python bindings

	20140217
	* worked on Python bindings

* Sat Jan 18 2014 Joachim Metz <joachim.metz@gmail.com> 20140118-1
- Auto-generated

